This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 413471 - Sane returning error for HP Scanjet 6200c [NEEDINFO]
Sane returning error for HP Scanjet 6200c
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: sane-backends (Show other bugs)
8
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-06 00:08 EST by Mike
Modified: 2009-01-09 00:26 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:26:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
nphilipp: needinfo?


Attachments (Terms of Use)

  None (edit)
Description Mike 2007-12-06 00:08:52 EST
Description of problem:
Sane returns error for my scanner (HP 6200c) fails to work:\
[root@tbred ~]# scanimage -T
scanimage: unable to determine option count (xsane returns the same error)

Version-Release number of selected component (if applicable):
Sane 1.0.18-17

How reproducible:
Everytime


Steps to Reproduce:
1. scanimage -T
  
Actual results:
scanimage: unable to determine option count (xsane returns the same error)

Expected results:
Successful scan/test

Additional info:
Harware: http://www.smolts.org/show?UUID=030...9b-90d625049181
It Currently works 100% in windows.
It worked with Linux/sane in the past (6months or more.. don't use it that often
so hard to say)
Sane has no problem detecting the scanner.
Other USB devices working fine.

Outputs:
[root@tbred ~]# sane-find-scanner
~
found USB scanner (vendor=0x03f0 [Hewlett-Packard], product=0x0201 [HP ScanJet
6200C]) at libusb:004:004
~

[root@tbred ~]# scanimage -L
device `hp:libusb:004:004' is a Hewlett-Packard ScanJet 62x0C flatbed scanner

[root@tbred ~]# scanimage -T
scanimage: unable to determine option count (xsane returns the same error)

dmesg:
usb 4-2: reset full speed USB device using uhci_hcd and address 4
usb 4-2: failed to restore interface 0 altsetting 0 (error=-110)
usb 4-2: USB disconnect, address 4
usb 4-2: new full speed USB device using uhci_hcd and address 5
usb 4-2: configuration #1 chosen from 1 choice
usb 4-2: reset full speed USB device using uhci_hcd and address 5
usb 4-2: failed to restore interface 0 altsetting 0 (error=-110)
usb 4-2: USB disconnect, address 5
usb 4-2: new full speed USB device using uhci_hcd and address 6
usb 4-2: configuration #1 chosen from 1 choice
(evertime scanimage is used it resets like this)

Things I have tried that didnt change anything:
Using differnt USB ports.
Connecting to a differnt system (running Fedora 8 fresh install)
Disabling USB Autosuspend

I suspect Kernel USB or libusb handling problem...
would be greatful for any help you guys might give me..
Comment 2 Mike 2007-12-12 02:12:49 EST
I found the problem, the usb_reset patch caused my scanner to stop functioning,
I removed it and did a recompile and it works great... more info:
http://forums.fedoraforum.org/showthread.php?p=921254
Comment 3 Jim 2008-01-10 12:58:45 EST
I had the same problem with my HP 6250C.  My solution was to download the sane
backend software for sourceforge and follow the configure, make and make install
instructions.  
The usb_reset patch adds a usb_reset prior to the usb_release_interface and
usb_close calls in sanei_usb.c.  The problem with this, is that a usb_reset
causes the device to re-enumerate and invalidates the device handle.  It is most
likely the re-enumeration that causes the biggest problem for the HP62x0 series
of scanners which are based on early usb 1.0 specifications and don't seem to
handle re-enumeration in any system very well.  
The patch, as written should be removed by Redhat and the problem referred to
the maintainers of sane.  My guess is that a usb_clear_halt would be more
appropriate as well as some error detection/handling.
Comment 4 Jim Meyering 2008-03-17 07:05:35 EDT
Hi, I had the same problem and have just worked around it.
Here's the report w/patch I've just sent upstream:
http://thread.gmane.org/gmane.comp.graphics.scanning.sane.devel/12601
Comment 5 Bug Zapper 2008-11-26 03:51:33 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Nils Philippsen 2008-11-26 09:54:04 EST
Do you see this issue with the current sane-backends-1.0.19?
Comment 7 Bug Zapper 2009-01-09 00:26:05 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.